Bug 1074135

Summary: libsmbclient0 pulls in the entire server
Product: [openSUSE] openSUSE Tumbleweed Reporter: Jan Engelhardt <jengelh>
Component: SambaAssignee: The 'Opening Windows to a Wider World' guys <samba-maintainers>
Status: VERIFIED FIXED QA Contact: The 'Opening Windows to a Wider World' guys <samba-maintainers>
Severity: Normal    
Priority: P5 - None CC: scabrero
Version: Current   
Target Milestone: ---   
Hardware: x86-64   
OS: Linux   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Jan Engelhardt 2017-12-27 11:53:50 UTC
All MPlayer wants is libsmbclient, but because of the suboptimal dependency choices made in samba specfiles, I get the *entire* samba server instead. This is totally unwanted.


12:46 a4:/home/jengelh # zypper in MPlayer

The following 51 NEW packages are going to be installed:
  MPlayer cifs-utils gamin-server gtk2-tools keyutils libXvMC1 libXxf86dga1
  libaa1 libbs2b0 libdca0 libdcerpc-binding0 libdcerpc0 libdv4 libenca0 libfaac0
  libfaad2 libfam0-gamin libgtk-2_0-0 libldb1 liblirc_client0 libmad0 libmpeg2-0
  libndr-krb5pac0 libndr-nbt0 libndr-standard0 libndr0 libnetapi0
  libsamba-credentials0 libsamba-errors0 libsamba-hostconfig0 libsamba-passdb0
  libsamba-policy0 libsamba-util0 libsamdb0 libsmbclient0 libsmbconf0
  libsmbldap2 libtdb1 libtevent-util0 libtevent0 libwbclient0 python-ldb
  python-talloc python-tdb python-tevent samba samba-client samba-dsdb-modules
  samba-kdc samba-libs samba-python

51 new packages to install.
Overall download size: 20.8 MiB. Already cached: 0 B. After the operation,
additional 68.2 MiB will be used.

10:52 nakamura:/boot # rpm -e samba
        samba = 4.7.3+git.30.54c196e5d35 is needed by (installed) samba-kdc-4.7.3+git.30.54c196e5d35-1.3.x86_64

10:52 nakamura:/boot # rpm -e samba-kdc
        libdfs-server-ad-samba4.so(SAMBA_4.7.3_GIT.30.54C196E5D35SUSE_OS15.5_X86_64)(64bit) is needed by (installed) samba-libs-4.7.3+git.30.54c196e5d35-1.3.x86_64

10:53 nakamura:/boot # rpm -e samba-libs
        libutil-cmdline-samba4.so()(64bit) is needed by (installed) libsmbclient0-4.7.3+git.30.54c196e5d35-1.3.x86_64
Comment 1 Samuel Cabrero 2018-05-25 14:57:16 UTC
Was fixed by https://build.opensuse.org/request/show/603033.
Comment 2 Jan Engelhardt 2018-06-01 09:46:27 UTC
looks good